Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.user.service.impl
Class UserDetailsServiceImpl.UserDetailsImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.user.service.impl.UserDetailsServiceImpl.UserDetailsImpl

All Implemented Interfaces:
  java.io.Serializable, org.acegisecurity.userdetails.UserDetails

Enclosing class:
  UserDetailsServiceImpl

    public class UserDetailsServiceImpl.UserDetailsImpl

extends java.lang.Object
implements org.acegisecurity.userdetails.UserDetails

See Also:
  Serialized Form

Constructor Summary
`UserDetailsServiceImpl.UserDetailsImpl(org.acegisecurity.GrantedAuthorityImpl[] authorities, java.lang.String username)`

Method Summary
`org.acegisecurity.GrantedAuthority[]` | `getAuthorities()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getUsername()`
`boolean` | `isAccountNonExpired()`
`boolean` | `isAccountNonLocked()`
`boolean` | `isCredentialsNonExpired()`
`boolean` | `isEnabled()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserDetailsServiceImpl.UserDetailsImpl

    public UserDetailsServiceImpl.UserDetailsImpl(org.acegisecurity.GrantedAuthorityImpl[] authorities,
                                                  java.lang.String username)

Method Detail

### getAuthorities

    public org.acegisecurity.GrantedAuthority[] getAuthorities()

  Specified by:
    `getAuthorities` in interface `org.acegisecurity.userdetails.UserDetails`

### getPassword

    public java.lang.String getPassword()

  Specified by:
    `getPassword` in interface `org.acegisecurity.userdetails.UserDetails`

### getUsername

    public java.lang.String getUsername()

  Specified by:
    `getUsername` in interface `org.acegisecurity.userdetails.UserDetails`

### isAccountNonExpired

    public boolean isAccountNonExpired()

  Specified by:
    `isAccountNonExpired` in interface `org.acegisecurity.userdetails.UserDetails`

### isAccountNonLocked

    public boolean isAccountNonLocked()

  Specified by:
    `isAccountNonLocked` in interface `org.acegisecurity.userdetails.UserDetails`

### isCredentialsNonExpired

    public boolean isCredentialsNonExpired()

  Specified by:
    `isCredentialsNonExpired` in interface `org.acegisecurity.userdetails.UserDetails`

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in interface `org.acegisecurity.userdetails.UserDetails`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.